Package: org.codehaus.groovy.tools.javac

## [Java] Class RawJavaFileObject

- org.codehaus.groovy.tools.javac.RawJavaFileObject

-     public class RawJavaFileObject
      extends SimpleJavaFileObject

  Represents a Java source file in file to compile

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RawJavaFileObject(URI uri)` Construct a RawJavaFileObject of the given kind and with the given URI.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `delete()` delete the Java source file
    `` | `public boolean` | `equals(Object o)`
    `` | `public CharSequence` | `getCharContent(boolean ignoreEncodingErrors)`
    `` | `public int` | `hashCode()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleJavaFileObject` | `delete, equals, getAccessLevel, getCharContent, getClass, getKind, getLastModified, getName, getNestingKind, hashCode, isNameCompatible, notify, notifyAll, openInputStream, openOutputStream, openReader, openWriter, toString, toUri, wait, wait, wait`

- - ### Constructor Detail

    - #### public RawJavaFileObject(URI uri)

      Construct a RawJavaFileObject of the given kind and with the given URI.

      Parameters:
        `uri` - the URI for this file object

  - ### Method Detail

    - #### @Override
      public boolean delete()

      delete the Java source file

      Returns:
        `true` if deleted successfully

    - #### @Override
      public boolean equals(Object o)

    - #### @Override
      public CharSequence getCharContent(boolean ignoreEncodingErrors)

    - #### @Override
      public int hashCode()

    - #### @Override
      public String toString()